# Quickstart

{% stepper %}
{% step %}

### Generate an API Key

* To learn how to get an API Key, referer to [Authentication section](/api/concepts/authentication.md).
  {% endstep %}

{% step %}

### Get your Workspace ID

* Use the request in [List workspaces](/api/api-reference/workspaces.md#developers-workspaces).
* Copy the ID of the desired worspace.
  {% endstep %}

{% step %}

### Select one or more Jobs

* Use the request in [List Jobs](/api/api-reference/jobs.md#developers-workspaces-workspace_id-jobs).
* Copy the ID of jobs that will trigger an webhook event.
  {% endstep %}

{% step %}

### [Trigger a Job outside Erathos](/api/introduction/trigger-jobs-outside-erathos.md)

* Edit the [Example Json](/api/introduction.md#example):
  * Replace the `jobs` list with the Job IDs retrieved from the previous step.
  * Change the `url` with the endpoint that the webhook must send data.
  * Adapt the body and header accordingly.

### (or) [Trigger a job in Erathos](/api/introduction/trigger-jobs-in-erathos.md)

* Based on the [Run job request](/api/api-reference/jobs.md#developers-workspaces-workspace_id-jobs-_id-run), edit the url with the `workspace_id` and `job_id` obtained in the previous steps.
* Execute the request.
  {% endstep %}
  {% endstepper %}

***

You can also explore our collection of specific examples tailored for each tool. These examples provide practical insights and step-by-step instructions to help you get started effectively.

<table data-card-size="large" data-view="cards"><thead><tr><th></th><th data-hidden data-type="content-ref"></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>Airflow</td><td><a href="/pages/mla7iPIFlMUSTMUKZ40e">/pages/mla7iPIFlMUSTMUKZ40e</a></td><td><a href="/pages/mla7iPIFlMUSTMUKZ40e">/pages/mla7iPIFlMUSTMUKZ40e</a></td></tr><tr><td>Dbt Cloud</td><td><a href="/pages/joD1YKTeUUREnlNtU7xA">/pages/joD1YKTeUUREnlNtU7xA</a></td><td><a href="/pages/joD1YKTeUUREnlNtU7xA">/pages/joD1YKTeUUREnlNtU7xA</a></td></tr><tr><td>Erathos</td><td><a href="/pages/8XXrINIDHy1KutJ6DoGh">/pages/8XXrINIDHy1KutJ6DoGh</a></td><td><a href="/pages/8XXrINIDHy1KutJ6DoGh">/pages/8XXrINIDHy1KutJ6DoGh</a></td></tr><tr><td>Prefect</td><td><a href="/pages/v1cFjvTDIXeBvXpRiQGm">/pages/v1cFjvTDIXeBvXpRiQGm</a></td><td><a href="/pages/v1cFjvTDIXeBvXpRiQGm">/pages/v1cFjvTDIXeBvXpRiQGm</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.erathos.com/api/quickstart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
